由买买提看人间百态

topics

全部话题 - 话题: log2
1 2 3 4 下页 末页 (共4页)
s*****e
发帖数: 16824
1
来自主题: Military版 - log2 是无理数么?
可以反证,如果log2是有理数,设log2=p/q, p,q都是正整数,那么有10^p/q =2, 所以
10^p=2^q, 这个等式不可能成立,因为10^p里面有5的因子,2^q里面肯定没有5的因子
。所以log2必然是无理数。
b********e
发帖数: 58
2
来自主题: Programming版 - no log2() in visual studio, only log() ?
You can implement by yourself very easily:
#include
...
// Calculates log2 of number.
double Log2( double n )
{
return log( n ) / log( 2 );
}
w****y
发帖数: 2952
3
来自主题: Military版 - log2 是无理数么?
反证啊。如果log2=n/m
2^m = e^n.
left is even but right side is non-even.
i*********g
发帖数: 1940
4
"spontaneous lung tumor' vs 'normal'
log2 fold change -1.82
什么意思?
w*****t
发帖数: 485
5
来自主题: JobHunting版 - 问一个F的题
this one works well:
http://stackoverflow.com/questions/5701023/finding-log2-using-s
我做了一点修改,以支持 <= 1的情况:
18 double Log2(double val)
19 {
20 assert(val > 0.0f);
21 if (val == 1.0f) return 0;
22 bool neg_sign = false;
23 if (val < 1.0f) {
24 neg_sign = true;
25 val = 1.0f / val;
26 }
27 int hix = 0;
28 while((1< 29 int lox = hix - 1;
30 double lval = (1< 31 double rval = (1< 32 double dlow = lox, dhigh = hi... 阅读全帖
l*******s
发帖数: 7316
6
F(n,m) = 当m为已知数时,最少试验次数。
T(n,m) = 当m为已知上限时,1为下限时,最少试验次数。
F(n,m)=MIN{ F1(n,m), F2(n,m),…}
T(n,m)=MIN{ T1(n,m), T2(n,m),…}
F1,T1: 逐瓶试验,
F2,T2: 两分法。
其他方法估计不会优于这两种方法中较少的试验次数。
F1(n,m) =n-m,
T1(n,m) =n,
F2(n,1) =T2(n,1) =log2(n)
F2(n,2) =T2(n,2) =2*log2(n)
F2(n,m>2)= 2*(m-1)*(log2(n)-P)+2^(P+1)-3, P=CEIL[log2(m-1)]
T2(n,m>2)= F2(n,m)+1
有按照可能的试验结果给出 F(n,m)=log2[C(n,m)],
这是理论上的最低上限,但除了m=1, 设计不出可行的方案。
最简单的例子是n=4, m=3. log2[C(4,3)]= log2[4]=2. 设计不出可行的2次试验的方
案。
z**********e
发帖数: 22064
7
来自主题: Military版 - 关于开14次方的计算方法
http://blog.sina.com.cn/s/blog_62a6ff6f0101iasf.html
2014-01-19 08:48:20
昨晚看有朋友谈起《最强大脑》的开14次方计算,看了看相关的视频。感觉虽然这位兄
台具体用什么方法计算的,不得而知,但对于普通人而言,用对数来计算其实也没太大
难度:
X^14=Y,要求X,先对两边取对数得:14logX=logY,求出logY,除以14,再求个幂就
能得到X
当然,需要背一些基础的对数表:
梁冬给的数字虽然长,可以简化为1.391*10^15,求对数=log1.391+15
嫌麻烦可以把尾数省略掉=log1.4+15=log2+log0.7+15
log2的值,我当年在初中查得多了,至今都记得是等于0.3010
log0.7虽然我记不住,但如果要训练的话,记住它应该算是基础要求,=-0.1549
三者相加等于15.1461,然后除以14约等于1.08
再求10^1.08,可转化为=10*10^0.08
需要找到一个数使其对数值等于0.08的
log1=0,log2=0.3010,所以这个数肯定在1和2之间
也可以把这个计算转化... 阅读全帖
t****a
发帖数: 1212
8
来自主题: JobHunting版 - 请教个题目
请参考锦标赛排序法:
设数组为A:
1. A1和A2比, A3和A4比, ... An-1和An比,选出每个比较的大者
2. 将大者再次两两比较,反复迭代直至选出最大者。此过程共需要比较n-1次,形
成的二叉树高度为log2(n)层
3. 次大者必然和最大者比过。最大者共参与比较共有log2(n)次,所以只需要在那log2
(n)个数字中找最大者,共需要比较log2(n)-1次
4. 总比较次数为(n-1) + log2(n-1) -1 = n+log2(n-1)-2
b*******y
发帖数: 232
9
来自主题: JobHunting版 - 9球找一个不一样重量的
是不是需要3次?
把9个球3等分,然后1和2组称,2和3组称,就知道那个不一样的球到底是轻还是重了
再按照原来的思路,找出不一样的那组,再称一次就ok了
是不是都是这个思路吧?
从信息论的角度考虑,是不是
log2(9) + log2(2) //每个球都有1/9可能是不一样的 + 不一样的球,只有两种可能,
轻了或者重了
每次称获得的信息小于等于log2(3) // 左偏右偏相等
这样算一下,(log2(9)+log2(2))/log2(3)差不多需要3次
l****c
发帖数: 782
10
来自主题: JobHunting版 - 问一个F的题
a means is to find the log2(n) where n > 1. When n < 1, calculate log2(1/n);
1. find the most closed 2's multiples (small, large) to the n, upper value
and lower value are respectively times values to 2. //for example, if we
find values are 8 and 16, n is between 8 and 16, result is between 3~4.
2. we know log2(sprt(small*large)) = (log2(small)+log2(large))/2 = (upper
value + lower value)/2. // for example log2(13.31) = 3.5.
3.Check if n is larger or less then sprt(small*large). Then change the... 阅读全帖
l****c
发帖数: 782
11
来自主题: JobHunting版 - 问一个F的题
a means is to find the log2(n) where n > 1. When n < 1, calculate log2(1/n);
1. find the most closed 2's multiples (small, large) to the n, upper value
and lower value are respectively times values to 2. //for example, if we
find values are 8 and 16, n is between 8 and 16, result is between 3~4.
2. we know log2(sprt(small*large)) = (log2(small)+log2(large))/2 = (upper
value + lower value)/2. // for example log2(13.31) = 3.5.
3.Check if n is larger or less then sprt(small*large). Then change the... 阅读全帖
l*******s
发帖数: 7316
12
F(n,m) = 当m为已知数时,最少试验次数。
T(n,m) = 当m为已知上限时,1为下限时,最少试验次数。
F(n,m)=MIN{ F1(n,m), F2(n,m),…}
T(n,m)=MIN{ T1(n,m), T2(n,m),…}
F1,T1: 逐瓶试验,
F2,T2: 两分法。
其他方法估计不会优于这两种方法中较少的试验次数。
F1(n,m) =n-m,
T1(n,m) =n-1,
F2(n,1) =log2(n)
F2(n,m)=2*(m-1)*( log2(n)-P)+2^(P+1)-2, P=CEIL[log2(m-1)]
T2(n,m)= F2(n,m)+m-1
楼上有按照可能的试验结果给出 F(n,m)=log2[C(n,m)],
这是理论上的最低上限,但除了m=1, 设计不出可行的方案。
最简单的例子是n=4, m=3. log2[C(4,3)]= log2[4]=2. 设计不出可行的2次试验的方
案。
r**u
发帖数: 1567
13
来自主题: JobHunting版 - bloomberg 电话面试问题
2. hash the address of each node, 如果conflict就比较address。
3. binary search每次比较一次,需要log2(n)层比较。total: log2(n)
如果是triple search每次比较2此,需要log3(n)层比较。total: 2*log3(n) = 2 * log2(n)/log2(3)> log2(n)。
也就是都是O(logn),但是前面的constant不一样,binary该是最小的。
6. 经常变化就需要快速查询,修改,hash或者array啥的都合理吧。
h****e
发帖数: 928
14
来自主题: JobHunting版 - 问一个F的题
不知道这样子做行不:
When N>1, log2(N) = log2(sqrt(N)^2) = 2log2(sqrt(N)),N <- sqrt(N),
iterate直到abs(N-1)<=epsilon (给定的精度要求)
When N=1, log2(N) = 0
When 01的情况。
a********x
发帖数: 1502
15
来自主题: JobHunting版 - 问一个F的题
我觉得思路对头,可以用recursion来算
public static double log2(double x) {
if( x - 1 < epsilon ){
return (x-1)/ln2; //base case 泰勒级数
} else{
return log2( Math.sqrt(x) ) * 2; // recursion
}
printf( " %d ", x/2);
}
问题在于需要hard code 常数 ln2

好像见过
log2(n)=log2( (sqrt(n))^2 ) =2 log2(sqrt(n))
不过这样子只能算整数
比如8的根号是2.。。这样子= =“
h****e
发帖数: 928
16
来自主题: JobHunting版 - 问一个F的题
不知道这样子做行不:
When N>1, log2(N) = log2(sqrt(N)^2) = 2log2(sqrt(N)),N <- sqrt(N),
iterate直到abs(N-1)<=epsilon (给定的精度要求)
When N=1, log2(N) = 0
When 01的情况。
a********x
发帖数: 1502
17
来自主题: JobHunting版 - 问一个F的题
我觉得思路对头,可以用recursion来算
public static double log2(double x) {
if( x - 1 < epsilon ){
return (x-1)/ln2; //base case 泰勒级数
} else{
return log2( Math.sqrt(x) ) * 2; // recursion
}
printf( " %d ", x/2);
}
问题在于需要hard code 常数 ln2

好像见过
log2(n)=log2( (sqrt(n))^2 ) =2 log2(sqrt(n))
不过这样子只能算整数
比如8的根号是2.。。这样子= =“
G**Y
发帖数: 33224
18
(321 blah blah)
那道题如果能把2的幂全记下就差不多了。
比如如果用来算
2^(log2(321 blah blah) /13 +7)
如果log2(321 blah blah)的精度是0.5(不难,只有2^44,2^45, 2^46是13位数,如果
只算13位数,记住这三个,算log2,应该能达到0.5的精度)
那么
log2(321 blah blah) /13 +7
的精度就是0.5/13了。比如可以用
2^(45/13+7)
逼近。
这个还是不好算,但是如果只算13位数。记下来三数就行了。(甚至不用算永远说1400
左右也不会太错)
2^(44/13+7) =1336.8
2^(45/13+7) = 1410
2^(46/13+7) = 1487
如果记住中间那个,另外两个
+/-70就很准了。
2^(44.5/13+7) 估计等于1410-30左右
y**k
发帖数: 222
19
来自主题: Mathematics版 - 请教一个数论问题
There are solutions. For any n0, there exists n>n0 and m, such that
log2/log3 - 1/n^2 < m/n < log2/log3. We want to show that
log2/log3 - 1/n^2 > (log2/log3)/2 + log(2^{n/2} -1)/log3/n for some n
.
j*****o
发帖数: 394
20
来自主题: JobHunting版 - 问一个F的题
好像见过
log2(n)=log2( (sqrt(n))^2 ) =2 log2(sqrt(n))
不过这样子只能算整数
比如8的根号是2.。。这样子= =“
j*****o
发帖数: 394
21
来自主题: JobHunting版 - 问一个F的题
好像见过
log2(n)=log2( (sqrt(n))^2 ) =2 log2(sqrt(n))
不过这样子只能算整数
比如8的根号是2.。。这样子= =“
f********a
发帖数: 165
22
import java.util.HashMap;
public class MyClass {

public static HashMap hashMap = new HashMap Integer>();
private String s = new String();

public void log1(String msg1, String msg2){
synchronized(hashMap){
System.out.println(msg1);
System.out.println(msg2);
}
}

public void log2()
{
hashMap.put(new String("123"), new Integer(1));
}
public static void log3(String ms... 阅读全帖
s******o
发帖数: 2233
23
只需要考虑整数的情况,比如log2(7)=2, log2(8)=3, log2(9)=3 etc...
o********r
发帖数: 775
24
I can’t agree with you at all on the performance validation. To be concise,
I followed the standard paradigm used in the community. You may only want to
challenge this, when (1) you prove concretely that this paradigm is wrong;
(2) you do not use this one in your own research. Your example on ‘RB1
related with RB’ is misleading and improper. One thing is sure here, a good
method has to be consistent, an inconsistent method is never a good method.
We can argue on this for days. But GAGE has been ... 阅读全帖
l**********1
发帖数: 5204
25
Continue:
第四乐章 Finale
找有关的PhD dissertation 里边的 R source code program
while U can debug it or even rewrite it for another task,
then you already masted NGS coding skills.
比如
http://www.dspace.cam.ac.uk/handle/1810/218542
DSpace at Cambridge
title: Genome-wide analyses using bead-based microarrays
Authors: Dunning, Mark J
Issue Date: 4-Sep-2008
Files in This Item:
File Description Size Format
dunning_thesis_.pdf 10.47 MB Adobe PDF
its Appendix B
R source Code f... 阅读全帖

发帖数: 1
26
来自主题: Military版 - 二重级数
如果收敛
等于 (1 + 1/3 + 1/5 +....)(- log2 + 1 - 1/2 + 1/3 - 1/4) + 1 - log2
不知道收敛不
g********z
发帖数: 47
27
Mitbbs上整天都是共粉国粉老将小将吵,其实总是那几个人,那几种体。什么悲愤体、
行艺体、超脱体、全盘否定体、反全盘否定体、挖苦体,虽然都能替老邢赚流量,其实
搞多了我们这种潜水的也就烦了。所以希望各派人士能不能进来广泛讨论一下这个话题
?当然,最终目的是想要知道中国军队主要的2支,共(毛匪,腊肉随便你们叫),国
(常,蒋,梅毒你们随便叫)的平均战斗力,放在自20世纪现代战争史以来,大概位于
什么个水平,在哪个Percentile的级别上。
虽然是挖坑灌水,也要有一些基本标准。先是定义军队的战斗力,这个我定义成为Log2
(敌我实际战斗表现比) - Log2(敌我非人力军事实力比),越大越好,理论范围可以从
负无穷到正无穷,单位是bit,每差1水平相差大约2倍。之所以想用这个度量,因为世
界各个国家名族都有自己特定的发展背景,发展到某个年代国家也就只有那么多综合国
力(类似钢铁雄心里的IC),没法忽略时代背景让某个军队突然获得天顶星装备。但是
人力方面的因素,比如训练,协同,连排战术,步炮协同,装甲战术,尤其是士气还是
可以在局限的背景下得以提高的。换句话说军人的主观能动性还是可以比... 阅读全帖
m****i
发帖数: 650
28
3^456 = 2^x
x = log2 3^456 = 456 * log2 3 = 456 * 1.585 = 723
s********x
发帖数: 914
29
来自主题: JobHunting版 - 为什么quicksort会比heapsort快?
// MaxHeap: heapArray starts from index 0
public static void heapSort(int[] a){
// Trickling Down in Place: start at node n/2-1, the rightmost node
with children
// O(n/2*log(n))
for (int i=(a.length/2-1) ; i>=0 ; i--)
trickleDown(a,i, a.length);
// remove max from heap and insert it at the end
// O(n*log(n))
for (int i= a.length - 1; i> 0; i--){
int max = a[0];
a[0] = a[i];
trickleDown(a,0, i... 阅读全帖
b*******y
发帖数: 232
30
来自主题: JobHunting版 - 9球找一个不一样重量的
恩,好像就是我的算法
假设有x个球
由信息论可得:
log2(x)+log2(2) <= log_2(3) * n
所以 2x <= 3^n
由于3^n为奇数,所以 2x<=3^n-1
所以 x <=(3^n-1)/2
i*********7
发帖数: 348
31
来自主题: JobHunting版 - 两个整数除法的问题太刁钻了吧
int divide(int a, int b)
{
bool flag = false;
if(((1 << 31) & a) != 0){
flag = !flag;
a = ~a + 1;
}
if(((1 << 31) & b) != 0){
flag = !flag;
b = ~b + 1;
}
int digitA = log2(a);
int digitB = log2(b);
cout< int q = 0;
int msb = (digitA - digitB + 1);
for(int i = msb; i >= 0; i--)
{
if((b << i) > a)
{
continue;
}
q |= (1 << i);
a -= (b << i);
}
... 阅读全帖
i*********7
发帖数: 348
32
来自主题: JobHunting版 - 两个整数除法的问题太刁钻了吧
int divide(int a, int b)
{
bool flag = false;
if(((1 << 31) & a) != 0){
flag = !flag;
a = ~a + 1;
}
if(((1 << 31) & b) != 0){
flag = !flag;
b = ~b + 1;
}
int digitA = log2(a);
int digitB = log2(b);
cout< int q = 0;
int msb = (digitA - digitB + 1);
for(int i = msb; i >= 0; i--)
{
if((b << i) > a)
{
continue;
}
q |= (1 << i);
a -= (b << i);
}
... 阅读全帖
i*********7
发帖数: 348
33
来自主题: JobHunting版 - 好吧,问一个除法函数的问题。
好像之前有人问过怎么解决overflow的问题。。
同求问一下。
======该死的分割线=======
好吧,终于过了leetcode的所有test cases了。。
不知道有没有别的同志给其他办法。
我就先贴一下我的代码吧
int divide(int aa, int bb) {
// Start typing your C/C++ solution below
// DO NOT write int main() function
bool flag = false;
long long int a = aa;
long long int b = bb;
if(a < 0)
{
flag = !flag;
a = ~a + 1;
}
if(b < 0){
flag = !flag;
b = ~b + 1;
}
int digitA = log2(a);
int digitB = log2(b);
i... 阅读全帖
l*********8
发帖数: 4642
34
来自主题: JobHunting版 - 给你们出道中学数学题 (转载)
那么改成2进制吧:
把n个酒瓶从0到n-1编号, 然后表示为二进制, 总共 k= log2(n)位。
对于 i = 0, 1 ... k位, 用一只老鼠喝所有第i位为0的酒的sample混合物, 另一只
老鼠喝所有第i位为1的酒的sample混合物。
总共需要 2* log2(n)只老鼠。
8瓶酒需要6只老鼠, 10到16瓶酒需要8只老鼠。
a******1
发帖数: 1519
35
来自主题: MartialArts版 - Hick's Law
Reaction Time = Movement Time + log2(n) / Processing Speed
where Processing Speed • log2(n) is the time taken to come to a
decision and n is the number of choices
选择越多,反应时间越长
d**********o
发帖数: 1321
36
来自主题: WebRadio版 - 潜水员冒泡兼征版友意见
报告:Decision Tree
// CS570 05/08/2013
// me~me~me~~!!! Project 4 Decision Trees
Decision Prediction for Robot Decisions
Abstract
In this project, a decision tree algorithm is developed using the ID3
information gain algorithm, and it was implemented using c++ language. The
algorithm selects decision split attributes based on information gain, and
selects the variable with highest information gain from the available
variable attribute open list. The algorithm wil... 阅读全帖
d**********o
发帖数: 1321
37
来自主题: WebRadio版 - 潜水员冒泡兼征版友意见
报告:Decision Tree
// CS570 05/08/2013
// me~me~me~~!!! Project 4 Decision Trees
Decision Prediction for Robot Decisions
Abstract
In this project, a decision tree algorithm is developed using the ID3
information gain algorithm, and it was implemented using c++ language. The
algorithm selects decision split attributes based on information gain, and
selects the variable with highest information gain from the available
variable attribute open list. The algorithm wil... 阅读全帖
G**Y
发帖数: 33224
38
高中竞赛可以带什么呀?我写了R程序行吗?LOL
i = 0:606
d = log2(10)
l = 2+d*i
r = log2(5)+d*i
sum(floor(r) >= l)
m*******o
发帖数: 344
39
终于搞定了,是控制程序调用command格式的问题
不能用 command1 &> log1
command2 &> log2
而应该用 command1 > log1 2>&1
command2 > log2 2>&1
http://stackoverflow.com/questions/188208/whats-the-difference-
d******i
发帖数: 7160
40
背景是想做k个最小值的维护,用了k-size的大顶堆。
本来逻辑上是顺畅的:
新元素比堆顶大,直接pass;
o/w替换堆顶,做个ShiftDown维护。
按说复杂度log2(k)吧,撑死找条path走到底。
代码当然可以写,但还是指望STL堆函数给点捷径,结果很失望。
貌似只能先pop_heap清掉,再入尾后push_heap,非得整理两次不可,代码如下:
//remove the old top one, since no longer qualify
pop_heap(vmo1.begin(),vmo1.end(),classcmp);
vmo1.pop_back();
//insert the new one, since must qualify
vmo1.push_back(*ivmo); //*ivmo是比堆顶小的新元素
push_heap(vmo1.begin(),vmo1.end(),classcmp);
复杂度一下子double了,成了2*log2(k)。
当然可以用复杂度k的make_heap,就不提了。
有没有利用STL现有堆函数实现这个ShiftDown的简单... 阅读全帖
W***o
发帖数: 6519
41
来自主题: Programming版 - 咋用python做一个3D surface plot? 请教
我有一个csv文件,里面有多行多栏的数据,我想把这些数据通过3D surface plot表述
出来(x轴坐标就用第一列每行的cell 内容,比如Log1, Log2...; y轴就用第一行的cell
content (Sample1, Sample2 ...),z就用下面表格里的数据。我想到用matplotlib,
但是又不太会用,想请教一下。
Measure# Sample1 Sample2 Sample3 Sample4 Sample5
Log1 2.3 3.3 4.5 5.6 6.7
Log2 3.5 6.7 10.0 22.1 30
Log3 4.2 4.5 6.7 8.9 9.1
Log4 4.5 8.9 10.2 11.8 14.7
import csv
from matplotlib import pyplot as plt
import pylab
import numpy as np
from mpl_toolkits.mplot3d import Axes3D
csv_file_path='/path/to/my/C... 阅读全帖
r****q
发帖数: 22
42

I can’t agree with you at all on the performance validation. To be concise,
I followed the standard paradigm used in the community. You may only want
to challenge this, when (1) you prove concretely that this paradigm is wrong
; (2) you do not use this one in your own research. Your example on ‘RB1
related with RB’ is misleading and improper. One thing is sure here, a good
method has to be consistent, an inconsistent method is never a good method.
We can argue on this for days. But GAGE has bee... 阅读全帖
j*p
发帖数: 411
43
来自主题: Biology版 - RNA-seq 表达量问题
1. RPKM = 1 约等于 1 copy/cell. 同样是rpkm=1,如果这个是从100M reads出来的,
可信度比从10M来的高。同时,RPKM=1可以通过单细胞FISH验证。
2. qPCR 灵敏度比100M RNAseq高,能够validate RPKM=0.1左右,就是cycle要多些。
3. 即使没有replicate,也可以做统计,cufflinks, DESeq 都有这样的选项(简单的
fisher-exact test),但得出的pvalue显然没有那些有replicate的来得靠谱。
4. 做表达量的时候,通常会用 log2(RPKM+1),然后做fold change的时候,会用log2
的差,+1既是为了去0,避免fold change = 无穷大,也是为了减少对那些表达量很小
的RNA的fold change的over estimation。
A*******e
发帖数: 284
44
来自主题: Biology版 - RNA-seq 表达量问题
多谢多谢,受教了!
请问
RPKM = 1 约等于 1 copy/cell, 这个是怎么估算出来的?
4. 做表达量的时候,通常会用 log2(RPKM+1), 这里有什么reference可用吗?

log2
l******e
发帖数: 125
45
来自主题: Biology版 - 如何做microarray的scatter plot图?
想比较两样品表达谱的相似性,如何作出x-y轴散点图,>log2的红色,<-log2的蓝色,
中间的灰色。对matlab不懂,stanford 的SAM怎么用不了?
多谢!
l******e
发帖数: 125
46
来自主题: Computation版 - 如何做microarray的scatter plot图?
想比较两样品表达谱的相似性,如何作出x-y轴散点图,>log2的红色,<-log2的蓝色,
中间的灰色。对matlab不懂,stanford 的SAM怎么用不了?有什么软件推荐么。
多谢!
d*z
发帖数: 150
47
来自主题: Science版 - Re: 求解两道数学题!
The result is 3.
We need to find roots for 2^x-x^12=0
That's
x log2 - 12 logx=0
Because
d(xlog2-12logx)=log2-12/x
So that xlog2-12logx increasing while x<0 and first increase then decrease for
x>0.
So that's at most 3 roots for the equation.
2^(-Inf)-(-Inf)^12<0
2^0-0^12>0
So there's one root for x<0.
2^0-0^12>0
2^(2)-2^12 <0
2^(Inf)-Inf^12>0
So there's two roots for x>0
Total there're 3 roots.
l******e
发帖数: 125
48
来自主题: Statistics版 - 如何做microarray的scatter plot图?
想比较两样品表达谱的相似性,如何作出x-y轴散点图,>log2的红色,<-log2的蓝色,
中间的灰色。对matlab不懂,stanford 的SAM怎么用不了?有什么软件推荐么。R里怎
么做?
多谢!
o****y
发帖数: 26355
49
来自主题: Military版 - 40年前的数学课本见过伐 (转载)
那时候LOG只能用计算尺,没有计算器啊。
你问问现在的中学生,LOG2是多少,没有计算器,
他们肯定说,没有办法知道。
1 2 3 4 下页 末页 (共4页)